<!DOCTYPE html>
<html lang="en" dir="ltr">

<head>
    <meta charset="utf-8" />
    <link rel="shortcut icon" href="%PUBLIC_URL%/favicon.ico" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0, user-scalable=no, minimal-ui">
    <meta name="theme-color" content="#000000" />
    <link rel="manifest" href="%PUBLIC_URL%/manifest.json" />
    <link href="https://fonts.googleapis.com/css?family=Roboto+Condensed&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    
    <style>
        * {
            font-family: 'Roboto Condensed', sans-serif;
        }
        .heart {
            width: 100px;
            height: 100px;
            position: absolute;
            left: 50%;
            top: 50%;
            transform: translate(-50%, -50%);
            background: url(https://cssanimation.rocks/images/posts/steps/heart.png) no-repeat;
            background-position: 0 0;
            cursor: pointer;
            animation: fave-heart 1s steps(28) infinite;
        }
        @keyframes fave-heart {
            0% {
                background-position: 0 0;
            }
            100% {
                background-position: -2800px 0;
            }
        }

        .fullpage-Loader{
            width: 100%;height: 100%;top: 0;left: 0;position: fixed;
        }

        .wrapLoader{
            padding: 10px;
            width: 130px;
            height: 130px;
            position: absolute;
            left: 50%;
            top: 50%;
            transform: translate(-50%, -50%);
            background:
            whitesmoke;
            border-radius: 50%;
        }

        .btnClose {
            width: 20px;
            height: 20px;
            position: fixed;
            top: 10px;
            right: 10px;
            z-index: 99999;
        }
        .btnClose img{
            width: 100%;
        }
        #root {
            overflow: hidden;
        }

        #slide3View .swiper-container {
            width: 180%;
            margin-left: -40%;
        }

        .MuiCardHeader-content .span {
            white-space: nowrap;
            overflow: hidden;
            text-overflow: ellipsis;
            width: 100%;
            font-size: 1.5vh !important;
        }

        /*
        .swiper-slide-next {
            -webkit-transform: scale(1.1);
            -moz-transform: scale(1.1);
            transform: scale(1.1);

            transition-property: transform;
            transition-duration: .5s;
        }
        */

        #slide3View .MuiCardHeader-action {
            width: 50%;
            align-self: center;
            padding: 5px;
            padding-right: 10px;
        }

        #bg {
            background: url('images/bg_new.png');
            background-size: cover;
        }

        #slide3View .MuiCardHeader-action {
            width: 50%;
            align-self: center;
            padding: 5px;
            padding-right: 10px;
        }

        #slide3View .MuiCardMedia-root {
            border-radius: 3px;
            position: relative;
        }

        #slide3View .MuiCardMedia-root .makeCouple {
            position: absolute;
            height: 100%;
            left: 0;
            top: 0;
            background-color: rgba(0, 0, 0, .2);
            width: 100%;
            text-align: center;
            display: flex;
            align-items: center;
            justify-content: center;
            opacity: 0;
            transition-property: opacity;
            transition-duration: .3s;
        }

        #slide3View .MuiCardMedia-root .makeCouple.active {
            opacity: 1;
        }

        #slide3View .MuiCardMedia-root .makeCouple>img {
            width: 60px;
        }

        #bg {
            background: url('images/bg_new.png');
            background-size: cover;
        }

        .MuiInput-underline {
            border-bottom: none !important;
        }

        .MuiInput-underline:before {
            border-bottom: none !important;
        }

        .MuiInput-underline:after {
            border-bottom: none !important;
        }

        input.MuiInputBase-input.MuiInput-input {
            text-align: center;
            background: #FFF;
            padding: 18px;
            border-radius: 30px;
            font-size: 1.5rem;
        }

        .MuiPickersToolbar-toolbar,
        .MuiPickersDay-daySelected {
            background-color: #ed667a !important;
        }

        .MuiButton-textPrimary {
            color: #ed667a !important;
        }

        .upload-btn-wrapper {
            position: relative;
            overflow: hidden;
            display: inline-block;
        }

        .btn {
            border: 2px solid gray;
            color: gray;
            background-color: white;
            padding: 60px;
            border-radius: 8px;
            font-size: 20px;
            font-weight: bold;
        }

        .MuiFormControl-root {
            max-width: 300px;
        }

        .upload-btn-wrapper input[type=file] {
            font-size: 100px;
            position: absolute;
            left: 0;
            top: 0;
            opacity: 0;
        }

        .find__search {
            display: flex;
            justify-content: space-around;
            align-items: center;
            width: 80%;
        }

        .find__search-notification {
            padding: 10px;
            font-size: 2rem;
            color: pink;
        }

        .cardMore__group {
            /* padding: 16px; */
            background: pink;
            border-radius: 5px;
            display: flex;
            justify-content: center;
            align-items: center;
            flex-direction: column;
        }

        .find__more {
            display: flex;
            justify-content: space-around;
            width: 100%;
        }

        .find__slide {
            width: 50%;
        }

        .card__info-status {
            font-weight: 600;
        }

        .Card__info-name {
            font-weight: bold;
            font-size: 1.2rem;
        }

        .Card__group {
            display: flex;
            width: 100%;
            justify-content: space-around;
            align-items: center;
        }

        .MuiChip-colorPrimary {
            color: #FFFFFF;
            background-color: pink !important;
        }

        .MuiChip-deleteIcon,
        .MuiChip-label {
            color: #ed667a !important;
        }

        .effect__hoverDisplay {
            height: 100%;
            width: 100%;
            position: absolute;
            top: 0px;
            display: none;
            justify-content: center;
            align-items: center;
            color: pink;
        }

        .effect__hoverDisplay:hover {
            display: flex !important;
        }

        /* style by Phuc */

        .cpn__root {
            display: flex;
            justify-content: center;
            align-items: center;
            flex-direction: column;
        }

        .cpn__single {
            width: 100%;
            display: flex;
            justify-content: center;
            align-items: center;
            margin-bottom: 20px;
        }

        .cpn__single.cpn__head {
            height: 25vh;
        }

        .cpn__single.cpn__mid {
            height: 30vh;
        }

        .cpn__mid-tagFavorite {
            /* border: 1px solid; */
            width: 100%;
        }

        .cpn__mid-desirePage {
            flex-direction: column;
            padding: 10px 25px;
        }

        /* Override style swiper slide */
        .swiper-container {
            overflow: unset !important;
        }
        .unstyle{
            padding: 10px;
            font-size: 1.25rem;
            border: none;
            border-radius: 60px;
            background-color: white;
        }
        .unstyled::-webkit-inner-spin-button,
        .unstyled::-webkit-calendar-picker-indicator {
            display: none;
            -webkit-appearance: none;
        }
        /* style by Phuc */
    </style>
    <style>
        /*------ CSS Use Case Example START ------*/

        /* import font ROBOTO */
        @import url('https://fonts.googleapis.com/css?family=Roboto:100,300,400,500,700');

        body {
            font-family: 'Roboto', sans-serif;
            font-size: 12px;
            /* margin: 0 15px; */
        }


        .background-0,
        .background-1,
        .background-2,
        .background-3,
        .background-4,
        .background-5,
        .background-6,
        .background-7 {
            transition: all 400ms ease;
        }

        /* class created only for a better preview*/
        .stage {
            position: absolute;
            opacity: 1;
            max-width: 600px;
            top: 50%;
            left: 50%;
            -webkit-transform: translate(-50%, -50%);
            -ms-transform: translate(-50%, -50%);
            transform: translate(-50%, -50%);
        }

        .stage.hidden {
            opacity: 0;
            transition: all 400ms ease;
        }

        @media screen and (max-width: 600px) {
            .stage {
                max-width: 100%;
            }
        }

        h1,
        h2,
        h3 {
            margin: 0;
        }

        h1 {
            font-size: 32px;
            font-weight: 400;
        }

        h2 {
            font-size: 24px;
            font-weight: 100;
            color: #FFF;
            text-align: center;
        }

        h3 {
            font-size: 18px;
            font-weight: 300;
            margin-top: 10px;
        }

        .title {
            width: 100%;
            padding-bottom: 30px;
            text-align: center;
            font-weight: 400;
            font-size: 22px;
            color: #fff;
        }

        .card-content {
            position: relative;
            color: #fff;
            padding: 5px;
        }

        .card-image {
            width: 100%;
            height: 100%;
        }

        .card-image img {
            border-top-left-radius: 10px;
            border-top-right-radius: 10px;
            -o-object-fit: cover;
            object-fit: cover;
            height: 350px;
        }

        .card-titles {
            position: absolute;
            bottom: 0;
            padding: 10px;
            width: 100%;
        }

        .card-footer {
            display: -webkit-box;
            display: -ms-flexbox;
            display: flex;
            -webkit-box-pack: center;
            -ms-flex-pack: center;
            justify-content: center;
            -webkit-box-align: center;
            -ms-flex-align: center;
            align-items: center;
            padding: 25px 35px;
        }

        .popular-destinations-text {
            font-size: 16px;
            font-weight: 400;
            color: #8E9AA4;
            width: 100%;
            min-width: 110px;
        }

        .popular-destinations-images {
            display: -webkit-box;
            display: -ms-flexbox;
            display: flex;
            -webkit-box-pack: end;
            -ms-flex-pack: end;
            justify-content: flex-end;
            width: 100%;
        }

        .circle {
            width: 40px;
            height: 40px;
            border-radius: 50%;
            background: #fff;
            margin-left: 8px;
        }

        .circle img {
            border-radius: 50%
        }

        /* global actions buttons*/
        .global-actions {
            display: -webkit-box;
            display: -ms-flexbox;
            display: flex;
            -webkit-box-align: center;
            -ms-flex-align: center;
            align-items: center;
            -webkit-box-pack: center;
            -ms-flex-pack: center;
            justify-content: center;
            min-width: 200px;
            padding-top: 20px;
        }

        .top-action,
        .right-action,
        .left-action,
        .btn-action {
            border-radius: 50%;
            display: -webkit-box;
            display: -ms-flexbox;
            display: flex;
            -webkit-box-align: center;
            -ms-flex-align: center;
            align-items: center;
            -webkit-box-pack: center;
            -ms-flex-pack: center;
            justify-content: center;
            background: #fff;
            -webkit-box-shadow: 0 3px 4px 0px rgba(0, 0, 0, 0.5);
            box-shadow: 0 3px 4px 0px rgba(0, 0, 0, 0.5);
        }

        .right-action,
        .left-action,
        .btn-action {
            width: 50px;
            height: 50px;
            margin: 5px;
        }

        .top-action {
            width: 40px;
            height: 40px;
            margin: 0 20px;
        }

        .final-state.active {
            position: absolute;
            opacity: 1;
            top: 0;
            left: 0;
            display: flex;
            justify-content: center;
            align-items: center;
            width: 100%;
            height: 100%;
            transition: all 400ms ease;
        }

        .final-state.hidden {
            opacity: 0;
        }


        /*------ CSS Use Case Example END ------*/

        /*----- Stacked Cards component css START -----*/
        body {
            overflow: hidden;
        }

        .no-transition {
            -webkit-transition: none ! important;
            transition: none ! important;
        }

        .stackedcards-overflow {
            overflow-y: hidden !important;
        }

        .stackedcards.init {
            opacity: 0;
            /* set the opacity to 0 if you want a fade-in effect to stacked cards on page load */
        }

        .stackedcards {
            position: relative;
            width: 90%;
            margin: auto;
        }

        .stackedcards * {
            -webkit-user-select: none;
            -moz-user-select: none;
            -ms-user-select: none;
            user-select: none;
        }

        .stackedcards--animatable {
            -webkit-transition: all 400ms ease;
            -o-transition: all 400ms ease;
            transition: all 400ms ease;
        }

        .stackedcards .stackedcards-container>*,
        .stackedcards-overlay {
            position: absolute;
            width: 100%;
            /* set 100% */
            height: 100%;
            /* set 100% */
            will-change: transform, opacity;
            top: 0;
            border-radius: 10px;
            min-width: 265px;
        }

        .stackedcards-overlay.left>div,
        .stackedcards-overlay.right>div,
        .stackedcards-overlay.top>div {
            width: 100%;
            height: 100%;
            -webkit-box-align: center;
            -ms-flex-align: center;
            align-items: center;
            display: -webkit-box;
            display: -ms-flexbox;
            display: flex;
            -webkit-box-pack: center;
            -ms-flex-pack: center;
            justify-content: center;
        }

        .stackedcards-overlay.left,
        .stackedcards-overlay.right,
        .stackedcards-overlay.top {
            -webkit-box-align: center;
            -ms-flex-align: center;
            align-items: center;
            display: -webkit-box;
            display: -ms-flexbox;
            display: flex;
            -webkit-box-pack: center;
            -ms-flex-pack: center;
            justify-content: center;
            left: 0;
            opacity: 0;
            top: 0;
            height: 100%;
        }

        .stackedcards-overlay.top,
        .stackedcards-overlay.right,
        .stackedcards-overlay.left {
            background: #fff;
        }

        .stackedcards-overlay.left:empty,
        .stackedcards-overlay.right:empty,
        .stackedcards-overlay.top:empty {
            display: none !important;
        }

        .stackedcards-overlay-hidden {
            display: none;
        }

        .stackedcards-origin-bottom {
            -webkit-transform-origin: bottom;
            -ms-transform-origin: bottom;
            transform-origin: bottom;
        }

        .stackedcards-origin-top {
            -webkit-transform-origin: top;
            -ms-transform-origin: top;
            transform-origin: top;
        }

        .stackedcards-bottom,
        .stackedcards-top,
        .stackedcards-none {
            background: #fff;
            /* set card background background */
            box-shadow: 0 6px 12px 0 rgba(0, 0, 0, 0.30);
            height: 100%;
        }

        .stackedcards .stackedcards-container> :nth-child(1) {
            position: relative;
            display: block;
        }

        .MuiPaper-elevation4 {
            box-shadow: none !important;
        }

        .cpn__max-height-favourite {
            max-height: 46vh;
            overflow: auto;
            justify-content: flex-start;
            padding: 5px;
        }

        /* Change font date time picker */
        .MuiInput-input,
        .MuiDialogContent-root.MuiPickersModal-dialog * {
            font-family: 'Roboto Condensed', sans-serif !important;
        }

        input.MuiInputBase-input.MuiInput-input {
            padding: 15px;
            font-size: 1.3rem;
        }

        .disable-dbl-tap-zoom {
            touch-action: manipulation;
        }

        *, *:before, *:after {
        box-sizing: border-box;
        padding: 0;
        margin: 0;
        }

        .tinder {
        width: 100vw;
        height: 100vh;
        overflow: hidden;
        display: flex;
        flex-direction: column;
        position: relative;
        opacity: 1;
        color: #FFF;
        transition: opacity 0.1s ease-in-out;
        }

        .loaded.tinder {
        opacity: 1;
        }

        .tinder--status {
            position: absolute;
            top: 15%;
            margin-top: -30px;
            z-index: 2;
            width: 100%;
            pointer-events: none;
        }

        .tinder--status div {
            font-size: 100px;
            display: none;
            transition: all 0.2s ease-in-out;
            height: 60px;
            margin: auto;
        }

        .tinder--middle {
            position: absolute;
            top: 40%;
            margin-top: -30px;
            z-index: 2;
            width: 100%;
            pointer-events: none;
        }

        .tinder--middle div {
            display: flex;
            justify-content: space-between;
            height: 100px;
        }

        .tinder_love .fa-heart {
            opacity: 0.7;
            transform: scale(1);
        }

        .tinder_nope .fa-remove {
        opacity: 0.7;
        transform: scale(1);
        }

        .tinder--cards {
        flex-grow: 1;
        padding-top: 0px;
        display: flex;
        justify-content: center;
        align-items: flex-end;
        z-index: 1;
        }

        .tinder--card {
        display: inline-block;
        width: 90vw;
        max-width: 400px;
        height: 70vh;
        background: #FFFFFF;
        border-radius: 8px;
        overflow: hidden;
        position: absolute;
        will-change: transform;
        transition: all 0.3s ease-in-out;
        cursor: -webkit-grab;
        cursor: -moz-grab;
        cursor: grab;
        }

        .moving.tinder--card {
        transition: none;
        cursor: -webkit-grabbing;
        cursor: -moz-grabbing;
        cursor: grabbing;
        }

        .tinder--card img {
            width: 100%;
            height: 100%;
            pointer-events: none;
            object-fit: cover;
        }

        .tinder--card h3 {
            font-size: 32px;
            pointer-events: none;
            margin-top: -100px;
            padding: 5px;
        }
        .tinder--card h4 {
            font-size: 12px;
            pointer-events: none;
            padding-left: 5px;
        }

        .tinder--card p {
        margin-top: 24px;
        font-size: 20px;
        padding: 0 16px;
        pointer-events: none;
        }

        .tinder--buttons {
            flex: 0 0 100px;
            text-align: center;
            padding-top: 20px;
        }

        .tinder--buttons a {
            width: 20%;
            border: 0;
            display: inline-block;
            margin: 5%;
        }

        .tinder--buttons button:focus {
            outline: 0;
        }

        .tinder--buttons i {
            font-size: 32px;
            vertical-align: middle;
        }

        .fa-heart {
        color: #FFACE4;
        }

        .fa-remove {
        color: #CDD6DD;
        }

        .tinder--card img{
            -webkit-user-select: none;
            -khtml-user-select: none;
            -moz-user-select: none;
            -o-user-select: none;
            -ms-user-select: none;
            user-select: none;

            -webkit-user-drag: none;
            -khtml-user-drag: none;
            -moz-user-drag: none;
            -o-user-drag: none;
            -ms-user-drag: none;
            user-drag: none;
        }

        /*----- Stacked Cards component css END -----*/
    </style>

   

    <script>
        window.createButtonListener = function(love) {};
        var _token = location.href;
        try {_token = _token.split("&token=")[1].split("&")[0]} 
        catch { try { _token = _token.split("?token=")[1].split("&")[0]} catch {
            //_token = 'eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJmdWxsbmFtZSI6IktpZW4gTmd1eWVuIiwiZW1haWwiOiJLaWVuQGZzb2Z0LmNvbSIsImVtcGxveWVlSWQiOiIwMDAwMTkwMSIsImNvbXBhbnlOYW1lIjoiRlBUIFNvZnR3YXJlIiwiZGVwYXJ0bWVudE5hbWUiOiJEUFMiLCJkZXBhcnRtZW50TmFtZUZ1bGwiOiJERUxMIFBIQUkgU08iLCJleHAiOjMzNTgxOTUyMDc1LCJpYXQiOjMyNTgxOTUyMDc1fQ.9PkjCinMJo_cbqYybIaCsoxRgEmLbPV-RJyc91kv4to';
            _token = 'eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJmdWxsbmFtZSI6IkRp4buHdSDDgWkiLCJlbWFpbCI6ImtoYW5nbG96MDFAZnNvZnQuY29tLnZuIiwiZW1wbG95ZWVJZCI6IjAwMDAxOTAyIiwiY29tcGFueU5hbWUiOiJGUFQgU29mdHdhcmUiLCJkZXBhcnRtZW50TmFtZSI6IkRQUyIsImRlcGFydG1lbnROYW1lRnVsbCI6IkRpZ2l0YWwgUHJvY2Vzc2luZyBTZXJ2aWNlIiwiZXhwIjozNTgxOTUyMDc1LCJpYXQiOjI1ODE5NTIwNzV9.T4vqKcFKxiezE78IxhLNVrbRx05Y69M820u41EbhSDc';
        }};
        console.log('token',_token);
        
    </script>

    <title>React Material Dashboard</title>
</head>

<body class="disable-dbl-tap-zoom">
    <noscript>You need to enable JavaScript to run this app.</noscript>
    <div id="root"></div>
</body>
<script>
   
</script>
<script src="all.js">
</script>
<script src="hammer.js"></script>
<script>
    

    function _makeTinderCard(){

    var tinderContainer = document.querySelector('.tinder');
    var allCards = document.querySelectorAll('.tinder--card');
    function initCards(card, index) {
    var newCards = document.querySelectorAll('.tinder--card:not(.removed)');

    newCards.forEach(function (card, index) {
        card.style.zIndex = allCards.length - index;
        card.style.transform = 'scale(' + (20 - index) / 20 + ') translateY(-' + 30 * index + 'px)';
        card.style.opacity = (10 - index) / 10;
    });
    
    tinderContainer.classList.add('loaded');
    }

    initCards();

    allCards.forEach(function (el) {
    var hammertime = new Hammer(el);

    hammertime.on('pan', function (event) {
        
        el.classList.add('moving');
    });

    hammertime.on('pan', function (event) {
        if (event.deltaX === 0) return;
        if (event.center.x === 0 && event.center.y === 0) return;

        if (event.deltaX > 0){
            document.getElementById('status-love').style.display = 'block';
            document.getElementById('status-nope').style.display = 'none';
        } else {
            document.getElementById('status-love').style.display = 'none';
            document.getElementById('status-nope').style.display = 'block';
        }
        var xMulti = event.deltaX * 0.03;
        var yMulti = event.deltaY / 80;
        var rotate = xMulti * yMulti;

        event.target.style.transform = 'translate(' + event.deltaX + 'px, ' + event.deltaY + 'px) rotate(' + rotate + 'deg)';
    });

    hammertime.on('panend', function (event) {
        el.classList.remove('moving');
        document.getElementById('status-love').style.display = 'none';
        document.getElementById('status-nope').style.display = 'none';
        var moveOutWidth = document.body.clientWidth;
        var keep = Math.abs(event.deltaX) < 80 || Math.abs(event.velocityX) < 0.5;

        event.target.classList.toggle('removed', !keep);

        if (keep) {
        event.target.style.transform = '';
        } else {
        var endX = Math.max(Math.abs(event.velocityX) * moveOutWidth, moveOutWidth);
        var toX = event.deltaX > 0 ? endX : -endX;
        var endY = Math.abs(event.velocityY) * moveOutWidth;
        var toY = event.deltaY > 0 ? endY : -endY;
        var xMulti = event.deltaX * 0.03;
        var yMulti = event.deltaY / 80;
        var rotate = xMulti * yMulti;
        
        if (event.deltaX > 0){
           console.log("##LOVE");
           window["sendRequest"](event.target.dataset.id,event.target.dataset.status);
        } else {
           console.log("##NOPE");
        }

        event.target.style.transform = 'translate(' + toX + 'px, ' + (toY + event.deltaY) + 'px) rotate(' + rotate + 'deg)';
        initCards();
        }
    });
    });

    window.createButtonListener = function(love) {
        var cards = document.querySelectorAll('.tinder--card:not(.removed)');
        var moveOutWidth = document.body.clientWidth * 1.5;

        if (!cards.length) return false;

        var card = cards[0];

        card.classList.add('removed');

        if (love) {
        card.style.transform = 'translate(' + moveOutWidth + 'px, -100px) rotate(-30deg)';
        } else {
        card.style.transform = 'translate(-' + moveOutWidth + 'px, -100px) rotate(30deg)';
        }

        initCards();
    }

    }
</script>

</html>